PostgreSQL 7.2.1 Documentation
Prev |  | Next

# SPI_cursor_close

## Name

SPI_cursor_close -- Closes a cursor

## Synopsis

    SPI_cursor_close(portal)

### Inputs

Portal `portal`

  Portal containing cursor

### Outputs

None

## Description

`SPI_cursor_close` closes a previously created cursor and releases its Portal storage.

## Usage

All open cursors are closed implicitly at transaction end. `SPI_cursor_close` need only be invoked if it is desirable to release resources sooner.

Prev | Home | Next
SPI_cursor_move | Up | SPI_saveplan